﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Backend.Csv {
  public partial class CsvImporterView : UserControl {
    private OpenFileDialog openFileDialog;
    public CsvImporterView() {
      InitializeComponent();
      this.openFileDialog = new OpenFileDialog();
      openFileDialog.AddExtension = true;
      openFileDialog.RestoreDirectory = true;
      openFileDialog.DefaultExt = "csv";
      openFileDialog.Filter = "Comma-Separated-Values file (*.csv)|*.csv|All files (*.*)|*.*";
      txtDelimiter.Text = ";";
    }

    public string FileName {
      get { return txtFileName.Text; }
    }

    public bool ColumnNamesInFirstRow {
      get { return this.chbIncludeColumnNames.Checked; }
    }

    public char[] Delimiter {
      get { return new char[] { txtDelimiter.Text[0] }; }
    }

    private void btnBrowse_Click(object sender, EventArgs e) {
      if (openFileDialog.ShowDialog() == DialogResult.OK) {
        this.txtFileName.Text = openFileDialog.FileName;
      }
    }
  }
}
